#ifndef UTILS_H
#define UTILS_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <dirent.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <time.h>
#include <sys/wait.h>
#include <unistd.h>
#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <string.h>

extern const gchar* const browser_list[][2];

typedef struct browser_info {
    gchar* name;
    gchar* option;
} BrowserInfo;

typedef struct date_info {
    gchar* time;
    gchar* date;
} DateInfo;

typedef enum _DATETYPE {
    SHORT,
    LONG
} DATETYPE;

typedef struct print_info {
    const gchar*    tcp_best_send;
    const gchar*    tcp_best_receive;
    const gchar*    udp_best_send;
    const gchar*    udp_best_receive;
    const gchar*    send_best_load;
    const gchar*    receive_best_load;
    time_t	    start_time;
    time_t	    stop_time;
    const gchar*    server;
} PrintInfo;

BrowserInfo get_browser();
void activate_url(GtkAboutDialog*, const gchar*, gpointer);
void do_print(PrintInfo*, gboolean);
DateInfo* get_date(DATETYPE, time_t*);
GtkWidget* messagebox(
	const gchar*, const gchar*, GtkMessageType, GtkButtonsType);
void init(void);
void flush_display(void);

#endif
